Bug 133976 - Wrong dependency resolving
Wrong dependency resolving
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-28 15:29 EDT by Nicolas Troncoso Carrere
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 11:12:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Troncoso Carrere 2004-09-28 15:29:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040917 Firefox/0.9.3

Description of problem:
Up2date tryed to resolve the dependency for epifany, but i required
mozilla. The problem is it tried to install epifany before mozilla so
it failed the dependency check.

Aparently is has todo with the alphabetic way up2date handles the
package instalation.



Version-Release number of selected component (if applicable):
up2date-4.3.19

How reproducible:
Always

Steps to Reproduce:
1. up2date -u
2.
3.
    

Actual Results:  Fails to satisfy the dependencies

Name                                    Version        Rel
----------------------------------------------------------
epiphany                                1.2.7          0.2.1         
   i386
foomatic                                3.0.1          3.1           
   i386
mozilla                                 1.7.3          0.2.0         
   i386
mozilla-chat                            1.7.3          0.2.0         
   i386
mozilla-dom-inspector                   1.7.3          0.2.0         
   i386
mozilla-js-debugger                     1.7.3          0.2.0         
   i386
mozilla-nspr                            1.7.3          0.2.0         
   i386
mozilla-nss                             1.7.3          0.2.0         
   i386


Testing package set / solving RPM inter-dependencies...
There was a package dependency problem. The message was:

Unresolvable chain of dependencies:
epiphany-1.2.7-0.2.1                     requires mozilla = 37:1.7.2


Expected Results:  Should update the computer.

Additional info:

Installed mozilla packages

mozilla-nss-1.7.2-0.2.0
mozilla-1.7.2-0.2.0
mozilla-js-debugger-1.7.2-0.2.0
mozilla-chat-1.7.2-0.2.0
mozilla-dom-inspector-1.7.2-0.2.0
mozilla-nspr-1.7.2-0.2.0
Comment 1 Matthew Miller 2005-04-26 11:51:48 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 2 David Lawrence 2006-04-18 16:05:54 EDT
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.
Comment 3 John Thacker 2006-04-22 11:12:19 EDT
The problem here is that mozilla was recently updated, but epiphany depends on
mozilla, and a new version of epiphany had not yet been built against the newer
mozilla.  Thus, upgrading to mozilla-1.7.3 prevents one from installing
epiphany, which still required 1.7.2  The problem is not trying to install
epiphany first.

Note You need to log in before you can comment on or make changes to this bug.